#ifndef _MAINMENU_H
#define _MAINMENU_H

/**************************************/

#include "Classes.h"

/**************************************/

class MainMenu
{
	protected:
		
		Menu *mMain, *mOptions, *mDetails, *mGameplay, *mSound, *mAccess;
	
		Menu *mBattle;
		int	rawPlayerCount, rawRoundCount, rawCompPlayerCount;
		int	rawCompSkill;
	
		Menu *mTarget;
		int   rawPlayTime, rawTimeBonus;
		
		TimeKeeper *TK;
	
		void		assignController(Player *player);
	
		void		playTargetGame();
		void		playBattleGame();
	
	public:
		
		MainMenu();
		~MainMenu();

		void go();
};

/**************************************/

#endif
